Bug Hunting Session
Bug 125370 - crash: on open basic editor to edit macros
Summary: crash: on open basic editor to edit macros
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-05-19 13:44 UTC by Oliver Brinzing
Modified: 2019-05-21 14:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (17.73 KB, text/plain)
2019-05-19 20:02 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2019-05-19 13:44:04 UTC
current master seems to crash:

steps to reproduce:
- Menu "Tools/Macros/Organize Macros/LibreOffice Basic..."
- My Macros/Standard/Module1
- [Edit]
-> crash

Version: 6.3.0.0.alpha1+ (x64)
Build ID: 43d7558e452c38ac22d4b925c96e7013dafc6396
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 1 Regina Henschel 2019-05-19 14:26:10 UTC
Confirm with Version: 6.3.0.0.alpha1+ (x64)
Build ID: 1cbf0ee54519bf81d934609352e8a1a641d8a534
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

It was OK in Version: 6.3.0.0.alpha0+ (x64)
Build ID: ccf3a0600ee902390ad6112ecf28223078bdd2db
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-13_03:08:59
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded

It crashes too on .uno:BasicIDEAppear.
Comment 2 Julien Nabet 2019-05-19 20:02:24 UTC
Created attachment 151519 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Xisco Faulí 2019-05-20 09:49:45 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f9905401d8cf2d73576231ebd84cfa5f4f73bcac

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-05-08 10:24:18 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-05-16 15:40:11 +0200
commit	f9905401d8cf2d73576231ebd84cfa5f4f73bcac (patch)
tree	c4151d098222cac20c53f6651595e5cb6ca410d0
parent	1489aa7467a2131e48d2995107d1415d9e59ea9e (diff)
tdf#125170 Deliver mouse events also when clicking into document content

Bisected with: bibisect-linux64-6.3

Adding Cc: to Samuel Mehrbrodt
Comment 4 Commit Notification 2019-05-21 07:04:24 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/08509b747c9077e4753759338a899b76514ba3b7%5E%21

tdf#125370 Fix crash when opening basic editor

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-05-21 14:21:36 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: a2da909adfe07d5a093485cc28283f5c100946ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!!